Page MenuHomePhabricator

Typo causes addItemType to throw errors in certain cases and and causes cascading failure
Closed, ResolvedPublic1 Estimated Story Points

Description

For example, I tried clicking on "Cite", pasting in https://tools.ietf.org/html/draft-kamath-pppext-peapv0-00, and clicking "Lookup", but it had no clue at all.

(See also https://en.wikipedia.org/wiki/Template:Cite_IETF.)

This is caused by a typo in lib/scraper caused the function addItemType to throw errors
and silently cause Promises to fail upstream. This will occur any time
there was dublinCore data but no highwirePress data.

Event Timeline

SamB created this task.May 11 2015, 9:19 PM
SamB raised the priority of this task from to Needs Triage.
SamB updated the task description. (Show Details)
SamB added a subscriber: SamB.
Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 11 2015, 9:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
nshahquinn-wmf triaged this task as Low priority.May 12 2015, 8:14 PM
nshahquinn-wmf set Security to None.
Jdforrester-WMF added a project: Citoid.
Mvolz moved this task from Backlog to Zotero on the Citoid board.Jun 18 2015, 6:05 PM
Mvolz added a subscriber: Mvolz.Jun 18 2015, 6:08 PM

Zotero doesn't have good support for citing anything that isn't a journal, unfortunately :(.

This would improve if a) a zotero translator was written specifically for ietf, or b) the native metadata reading in citoid is improved- the latter is on the board, the former would probably produce the best results- might be the way to go considering that ietf has its own citation template.

Mvolz moved this task from Zotero to Site specific issues on the Citoid board.Jun 18 2015, 6:09 PM

(P.S. you can request new translators here: https://github.com/zotero/translators/issues?q=is%3Aopen+is%3Aissue+label%3A%22New+Translator%22 although there is no guarantee anyone will actually work on it!)

Mvolz claimed this task.Sep 19 2016, 5:07 PM

This has DC metadata in it, so not sure why the native translator is doing so poorly. Zotero can't scrape it either.

Change 315105 had a related patch set uploaded (by Mvolz):
Fix typo that cause addItemType to fail

https://gerrit.wikimedia.org/r/315105

Mvolz renamed this task from VisualEditor's auto-cite functionality doesn't work on IETF documents to Typo causes addItemType to throw errors in certain cases and and causes cascading failure.Oct 10 2016, 3:47 PM
Mvolz raised the priority of this task from Low to High.
Mvolz updated the task description. (Show Details)

:( :(

Change 315105 merged by jenkins-bot:
Fix typo that cause addItemType to fail

https://gerrit.wikimedia.org/r/315105

Mvolz moved this task from Site specific issues to Waiting on Deploy on the Citoid board.
Mvolz added a comment.Oct 17 2016, 9:45 AM

Randomly found another one in the wild: http://www.biolib.cz/en/taxon/id253678/

mobrovac closed this task as Resolved.Oct 17 2016, 10:35 AM
Jdforrester-WMF set the point value for this task to 1.Oct 27 2016, 9:33 PM